# IAX2FullFrameImage Class Reference

`#include <frame.h>`

Inheritance diagram for IAX2FullFrameImage:

[legend]
Collaboration diagram for IAX2FullFrameImage:
[legend]

## Public Member Functions

| IAX2FullFrameImage (const IAX2Frame &srcFrame)
| IAX2FullFrameImage (const IAX2FullFrame &srcFrame)
virtual PString | GetSubClassName () const
virtual BYTE | GetFullFrameType ()

## Detailed Description

Class for transfering images. These frames are sent reliably. The subclass describes the image compression format.

The contents of the data section is the raw image data

## Constructor & Destructor Documentation

IAX2FullFrameImage::IAX2FullFrameImage | ( | const IAX2Frame & | srcFrame | ) |

Construction from a supplied dataframe. In this case, this class is filled from an incoming data packet

IAX2FullFrameImage::IAX2FullFrameImage | ( | const IAX2FullFrame & | srcFrame | ) |

Construction from a supplied dataframe. In this case, this class is filled from an incoming data packet

## Member Function Documentation

virtual BYTE IAX2FullFrameImage::GetFullFrameType | ( |  | ) | `[inline, virtual]`

Return the IAX2FullFrame type represented here (voice, protocol, session etc

Reimplemented from IAX2FullFrame.

virtual PString IAX2FullFrameImage::GetSubClassName | ( |  | ) | const`[virtual]`

Get text description of the subclass contents

Reimplemented from IAX2FullFrame.

The documentation for this class was generated from the following file:

- frame.h